#loginpage {
  display: grid;
  justify-content: center;
  align-items: center;
  padding-top: 15vh;
  height: 400px;
  width: 400px;
  margin: 0 auto;
  grid-template-columns: 1fr;
  grid-template-rows: 200px 1fr;
  font: 14px/1.231 arial, helvetica, clean, sans-serif;
}
form {
  background-color: white;
  border-radius: 8px;
  background-image: linear-gradient(180deg, #fbfbfb 0%, #eaeaea 100%);
  box-shadow: 0 2px 2px 1px rgba(110, 110, 110, 0.35);
  padding: 15px 25px 10px 25px;
}
h2 {  
  text-transform: uppercase;
  font-weight: bold;
  font-size: 22px;
  letter-spacing: 2px;
  color: #ff5722;
  margin-bottom: 30px;
}
mat-form-field {
  width: 100%;
  padding: 10px;
}
::ng-deep.mat-placeholder-required {
  display: none;
}
::ng-deep.mat-form-field-underline {
  background-color: rgba(0,0,0,0.12) !important;
} 
button {
  width: auto;
  text-align: center;
  padding: 10px;
  background: linear-gradient(to right, #657ABE, #95ACC1);
  color: white;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: bold;
  padding: 10px 31px;
  font-size: 14px;
  line-height: 1.42857143;
  border-radius: 100px;
  border: 0px none;
  display: block;
  margin: 0 auto;
}
button:hover {
  background: linear-gradient(to right, #91DD76, #42C276);
  cursor: pointer;
}
img {
  height: 250px;
  vertical-align: middle;
  text-align: center;
  margin-top: -40px;
  margin-bottom: 20px;
}
::ng-deep .mat-error {
  background-color: #f2dede;
  color: #a94442;
  border-color: rgb(235, 204, 209);
  margin-top: 35px;
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid;
  border-radius: 4px;
}